> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kameleoon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove data for several visitors

> Remove data for multiple visitors.

Kameleoon rejects an incoming request if the source is a bot or spider, based on [IAB/ABC user-agent filtering rules](https://www.iab.com/guidelines/iab-abc-international-spiders-bots-list/).
Kameleoon uses a single-pass method. You don't need to take specific action when sending requests from a web browser using a standard library (XHR). However, in other cases, set a custom value for the `User-Agent` request header to overwrite the default value the library sets.



## OpenAPI

````yaml /data.api.json post /visit/forget
openapi: 3.0.1
info:
  title: Kameleoon Data API
  description: ''
  version: '1.0'
servers:
  - url: https://eu-data.kameleoon.io
  - url: https://na-data.kameleoon.io
  - url: https://eu-data.kameleoon.eu
  - url: https://na-data.kameleoon.eu
security: []
paths:
  /visit/forget:
    post:
      tags:
        - Visit
      summary: Remove data for several visitors
      description: >-
        Remove data for multiple visitors.


        Kameleoon rejects an incoming request if the source is a bot or spider,
        based on [IAB/ABC user-agent filtering
        rules](https://www.iab.com/guidelines/iab-abc-international-spiders-bots-list/).

        Kameleoon uses a single-pass method. You don't need to take specific
        action when sending requests from a web browser using a standard library
        (XHR). However, in other cases, set a custom value for the `User-Agent`
        request header to overwrite the default value the library sets.
      operationId: POST /visit/forget
      parameters:
        - name: user-agent
          in: header
          required: true
          description: >-
            Not always required. Kameleoon rejects an incoming request if the
            source is a bot or spider, based on [IAB/ABC user-agent filtering
            rules](https://www.iab.com/guidelines/iab-abc-international-spiders-bots-list/).

            Kameleoon uses a single-pass method. You don't need to take specific
            action when sending requests from a web browser using a standard
            library (XHR). However, in other cases, set a custom value for the
            `User-Agent` request header to overwrite the default value the
            library sets.
          schema:
            type: string
            default: kameleoon-docs
        - name: siteCode
          in: query
          description: Id of the Kameleoon project
          required: true
          schema:
            type: string
      requestBody:
        description: >-
          A list of visitor codes (unique Kameleoon visitor IDs) to remove. The
          body size limit is 1 MB.<br/><br/>Include one visitor code per
          line.<br/>Limit every visitor code to 100 characters.<br/><br/><b>Body
          example:</b><br/><pre><code>visitorCode1

          visitorCode2

          visitorCode3</code></pre>
        content:
          text/plain:
            schema:
              type: string
              format: UTF-8
        required: true
      responses:
        '202':
          description: >-
            Kameleoon processed the URL query and accepted the request. The
            response returns no content. <br/> <b>Kameleoon processes the body
            asynchronously and has not checked the body syntax yet.</b>
        '400':
          description: Malformed URL query syntax.
        '401':
          description: >-
            Authentication failed. Either the HTTP header value is malformed, or
            the token is missing or invalid (malformed, expired, or invalid
            signature).
        '403':
          description: Access denied. Forbidden user-agent or restricted resource.
        '413':
          description: The body is too large.
        '429':
          description: Kameleoon rate-limited the request.
        '500':
          description: An unexpected internal error occurred.

````